Create Part
curl --request POST \
--url https://api.lab.fieldnode.dev/v1/parts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"externalRef": "<string>",
"description": "<string>",
"requireSubscription": true,
"materialId": "<string>",
"processId": "<string>",
"materialNote": "<string>",
"processNote": "<string>",
"standardIds": [
"<string>"
],
"criticalityIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"unspscCategoryIds": [
"<string>"
],
"keywords": [
"<string>"
],
"internal": true,
"rapidManufacturingMaterial": "<string>",
"exemptionsNotes": "<string>",
"documentationRequirementNotes": "<string>",
"otherRequirementNotes": "<string>",
"descriptionManufacturer": "<string>",
"businessUnitIds": [
"<string>"
],
"boundingBox": {
"x": 123,
"y": 123,
"z": 123
},
"metadata": {},
"customFields": [
{
"dropdownId": "<string>",
"selectedOptionIds": [
"<string>"
]
}
]
}
'import requests
url = "https://api.lab.fieldnode.dev/v1/parts"
payload = {
"title": "<string>",
"externalRef": "<string>",
"description": "<string>",
"requireSubscription": True,
"materialId": "<string>",
"processId": "<string>",
"materialNote": "<string>",
"processNote": "<string>",
"standardIds": ["<string>"],
"criticalityIds": ["<string>"],
"categoryIds": ["<string>"],
"unspscCategoryIds": ["<string>"],
"keywords": ["<string>"],
"internal": True,
"rapidManufacturingMaterial": "<string>",
"exemptionsNotes": "<string>",
"documentationRequirementNotes": "<string>",
"otherRequirementNotes": "<string>",
"descriptionManufacturer": "<string>",
"businessUnitIds": ["<string>"],
"boundingBox": {
"x": 123,
"y": 123,
"z": 123
},
"metadata": {},
"customFields": [
{
"dropdownId": "<string>",
"selectedOptionIds": ["<string>"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
externalRef: '<string>',
description: '<string>',
requireSubscription: true,
materialId: '<string>',
processId: '<string>',
materialNote: '<string>',
processNote: '<string>',
standardIds: ['<string>'],
criticalityIds: ['<string>'],
categoryIds: ['<string>'],
unspscCategoryIds: ['<string>'],
keywords: ['<string>'],
internal: true,
rapidManufacturingMaterial: '<string>',
exemptionsNotes: '<string>',
documentationRequirementNotes: '<string>',
otherRequirementNotes: '<string>',
descriptionManufacturer: '<string>',
businessUnitIds: ['<string>'],
boundingBox: {x: 123, y: 123, z: 123},
metadata: {},
customFields: [{dropdownId: '<string>', selectedOptionIds: ['<string>']}]
})
};
fetch('https://api.lab.fieldnode.dev/v1/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partUrl": "<string>",
"id": "<string>"
}{
"status": 123,
"message": "<string>"
}Part
Create Part
Create a new part.
POST
/
v1
/
parts
Create Part
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Title of the part.
External reference for the part.
Description of the part.
Whether the part requires a subscription.
Material type of the part.
Available options:
metal, polymer, ceramic, composite, sand, wax, other Material ID.
Process ID.
Material note.
Process note.
Standard IDs.
Criticality IDs.
Category IDs.
UNSPSC category IDs.
Keywords.
Whether the part is internal.
Rapid manufacturing material.
Exemptions notes.
Documentation requirement notes.
Other requirement notes.
Description for manufacturer.
Unit system.
Available options:
METRIC, IMPERIAL Business unit IDs.
Bounding box measures (x/y/z).
Show child attributes
Show child attributes
Optional metadata key-value pairs to attach to the part.
Custom dropdown selections to attach to the part.
Show child attributes
Show child attributes